Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.sitemap.transformers
Class TagFilter

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.xml.AbstractXMLPipe
                  fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
                      fr.gouv.culture.sdx.pipeline.AbstractTransformation
                          fr.gouv.culture.sdx.pipeline.AbstractNodeBasedTransformation
                              fr.gouv.culture.sdx.pipeline.TagFilter
                                  fr.gouv.culture.sdx.sitemap.transformers.TagFilter

All Implemented Interfaces:
  Transformation, Describable, Encodable, Identifiable, Localizable, SdxObject, org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, org.apache.avalon.framework.component.Component, org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.context.Contextualizable, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.parameters.Parameterizable, org.apache.avalon.framework.service.Serviceable, org.apache.cocoon.sitemap.SitemapModelComponent, org.apache.cocoon.transformation.Transformer, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler

    public class TagFilter

extends TagFilter
implements org.apache.cocoon.transformation.Transformer, org.apache.avalon.framework.parameters.Parameterizable, org.apache.avalon.excalibur.pool.Recyclable

Nested Class Summary

Nested classes/interfaces inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary

Fields inherited from class fr.gouv.culture.sdx.pipeline.TagFilter
`_lastPrefixRemoved, _send, PARAM_NAME_SEND_MODE`

Fields inherited from class fr.gouv.culture.sdx.pipeline.AbstractNodeBasedTransformation
`_attributesToTrack, _wildcardNodesToTrack, _xpathString, c_attributes, c_loc, c_raw, c_uri`

Fields inherited from class fr.gouv.culture.sdx.pipeline.AbstractTransformation
`_resolver, PARAMETER_NAME_DISABLE, PARAMETER_NAME_ENABLE, parameters, transParameters`

Fields inherited from class fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
`_configuration, _context, _description, _encoding, _id, _locale, _logger, _manager, _xmlizable_objects, _xmlLang, isToSaxInitialized`

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, EMPTY_CONTENT_HANDLER, lexicalHandler, xmlConsumer`

Fields inherited from interface org.apache.cocoon.transformation.Transformer
`ROLE`

Fields inherited from interface fr.gouv.culture.sdx.pipeline.Transformation
`ATTRIBUTE_KEEP, ATTRIBUTE_SRC, ATTRIBUTE_TH, CLASS_NAME_SUFFIX, PACKAGE_QUALNAME`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Constructor Summary
`TagFilter()`

Method Summary
`void` | `parameterize(org.apache.avalon.framework.parameters.Parameters parameters)`
`void` | `setup(org.apache.cocoon.environment.SourceResolver resolver, java.util.Map objectModel, java.lang.String src, org.apache.avalon.framework.parameters.Parameters par)`

Methods inherited from class fr.gouv.culture.sdx.pipeline.TagFilter
`endElement, endPrefixMapping, recycle, resetFields, setInternalParameters, setSendMode, shouldSendElementEvent, startElement, startPrefixMapping`

Methods inherited from class fr.gouv.culture.sdx.pipeline.AbstractNodeBasedTransformation
`attributeIsParameter, configure, elementIsParameter, matchesWildcardAttribute, matchesWildcardElement, matchesWildcardName, nodeIsParameter, peekCurrentAttributes, resetCurrentElementProperties, setCurrentElementProperties, setNodesToTrack, wildCardExprMatchesElementXpathString`

Methods inherited from class fr.gouv.culture.sdx.pipeline.AbstractTransformation
`getClassNameSuffix, getParameters, initToSax, initVolatileObjectsToSax, isStepEnabled, service, setParameters, shouldKeepResult, verifyConfigurationParameters`

Methods inherited from class fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
`configureDescription, contextualize, enableLogging, getBaseAttributes, getConfiguration, getContext, getDescription, getEncoding, getId, getLocale, getLog, getServiceManager, getXmlLang, setDescription, setEncoding, setId, setLocale, setUpSdxObject, setUpSdxObject, setXmlLang, toSAX, verifyConfigurationResources`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLPipe
`characters, comment, endCDATA, endDocument, endDTD, endEntity, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startEntity`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Methods inherited from interface org.apache.avalon.excalibur.pool.Recyclable
`recycle`

Methods inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`getLog`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface fr.gouv.culture.sdx.utils.Identifiable
`getId, setId`

Methods inherited from interface fr.gouv.culture.sdx.utils.Describable
`getDescription, setDescription`

Methods inherited from interface fr.gouv.culture.sdx.utils.Encodable
`getEncoding, setEncoding`

Methods inherited from interface fr.gouv.culture.sdx.utils.Localizable
`getLocale, getXmlLang, setLocale, setXmlLang`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Constructor Detail

### TagFilter

    public TagFilter()

Method Detail

### setup

    public void setup(org.apache.cocoon.environment.SourceResolver resolver,
                      java.util.Map objectModel,
                      java.lang.String src,
                      org.apache.avalon.framework.parameters.Parameters par)
               throws org.apache.cocoon.ProcessingException,
                      org.xml.sax.SAXException,
                      java.io.IOException

  Specified by:
    `setup` in interface `org.apache.cocoon.sitemap.SitemapModelComponent`
  Throws:
    `org.apache.cocoon.ProcessingException`
    `org.xml.sax.SAXException`
    `java.io.IOException`

### parameterize

    public void parameterize(org.apache.avalon.framework.parameters.Parameters parameters)
                      throws org.apache.avalon.framework.parameters.ParameterException

  Specified by:
    `parameterize` in interface `org.apache.avalon.framework.parameters.Parameterizable`
  Throws:
    `org.apache.avalon.framework.parameters.ParameterException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.